import { OnInit, EventEmitter } from '@angular/core';
import { AngularFireUploadTask, AngularFireStorage } from '@angular/fire/storage';
import { Observable } from 'rxjs';
import { Dimensions, ImageCroppedEvent, ImageTransform, ImageCropperComponent } from 'ngx-image-cropper';
export declare class FileUploadFirestorageComponent implements OnInit {
    private storage;
    imageCropper: ImageCropperComponent;
    res: EventEmitter<any>;
    lang: 'es' | 'en';
    storagePath: string;
    maxSize: number;
    imageUrl: string;
    onlyType: string;
    cropper: boolean;
    cropperConfig: {
        aspectRatio: number;
        maintainAspectRatio: boolean;
        containWithinAspectRatio: boolean;
        cropperMinHeight: number;
        cropperMinWidth: number;
        resizeToWidth: number;
        resizeToHeight: number;
        cropperStaticWidth: number;
        cropperStaticHeight: number;
    };
    texts: any;
    tempFile: any;
    error: {
        type: boolean;
        size: boolean;
    };
    croppedImage: any;
    croppedImageConfig: {
        rotation: number;
        canvasRotation: number;
        showCropper: boolean;
        scale: number;
        transform: ImageTransform;
    };
    task: AngularFireUploadTask;
    percentage: Observable<number>;
    snapshot: Observable<any>;
    downloadURL: Promise<any>;
    isHovering: boolean;
    ImageType: boolean;
    constructor(storage: AngularFireStorage);
    toggleHover(event: boolean): void;
    loadTempFile(event: any): void;
    changeImage(): void;
    startUpload(event?: FileList): void;
    isActive(snapshot: any): boolean;
    ngOnInit(): void;
    rotateLeft(): void;
    rotateRight(): void;
    private flipAfterRotate;
    flipHorizontal(): void;
    flipVertical(): void;
    resetImage(): void;
    zoomOut(): void;
    zoomIn(): void;
    imageCropped(event: ImageCroppedEvent): void;
    imageLoaded(): void;
    cropperReady(sourceImageDimensions: Dimensions): void;
    loadImageFailed(): void;
}
